Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.Core.StreamingConsumer Class Reference

More...

Inherits Gevasys.DataCore.Core.IRunnable, and Gevasys.DataCore.Core.IStreamingConsumer.

Inherited by Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## Public Member Functions
virtual WebServiceInitializeResult | Initialize ()
virtual String | GetClientThreadName ()
virtual void | SetAsBackup (bool isBackup)
| Sets a IConsumer to the backup state. More...
virtual bool | GetIsBackup ()
| Gets if the IConsumer is in backup state. More...
virtual void | RequestRecaps (InstrumentList instrument)
| Request recap messages for a list of instruments. A maximum of 2000 elements can be requested per call. More...
virtual bool | Start ()
| Starts the IConsumer More...
virtual void | Stop ()
| Stops the IConsumer More...
virtual void | AsyncServiceCallCallback (AsyncServiceCallResult result)
| The callback method for asynchronous services calls. More...
virtual bool | GetIsAlive ()
| Gets if the IConsumer is online. More...
virtual void | AddInstrument (String instrument)
| Adds and subscribes a instrument. More...
virtual void | AddInstruments (InstrumentList instruments)
| Adds and subscribes a list of instruments. More...
virtual void | AddFilterElements (FilterElement filterElement, params FilterElement[] filterElements)
virtual void | AddExchange (String Exchange)
| Adds and subscribes a exchange. Not available in version 1.1. More...
virtual void | RemoveInstrument (String instrument)
| Removes an unsubscribes a instrument. More...
virtual void | RemoveInstruments (InstrumentList instruments)
| Remove and unsubscribes a list of instruments. More...
virtual void | RemoveExchange (String Exchange)
| Removes and unsubscribes a exchange. More...
virtual void | RemoveFilterElements (FilterElement filterElement, params FilterElement[] filterElements)
virtual void | RemoveAll ()
| Removes and unsubscribes all instruments and exchanges. More...
virtual InstrumentList | GetInstruments ()
| Get the list of subscribed instruments. More...
virtual void | Run ()
| Implement this method to start the Thread. More...
virtual void | SetFieldFilter (List< string > fieldList)
| Sets a list of fields as a data filter for the streaming connection on the server side. Only fields that exists in the field filter will be pushed. More...
virtual void | RemoveFieldFilter ()
| Removes a field filter. More...
virtual string | GetName ()
| Gets the name of the Consumer. More...
virtual ConsumerType | GetConsumerType ()
| Gets the type of the Consumer. More...
void | SubscribeNewsBroadcast ()
void | UnsubscribeNewsBroadcast ()
void | AddFilterElement (FilterElement filterElement)
| Adds a FilterElement More...
void | RemoveFilterElement (FilterElement filterElement)
| Removes the FilterElement More...

## Detailed Description

Abstract base class for all consumers that wants to consume streaming data.

## Member Function Documentation

## ◆ AddExchange()

virtual void Gevasys.DataCore.Core.StreamingConsumer.AddExchange | ( | String | Exchange | ) |
| inline virtual

Adds and subscribes a exchange. Not available in version 1.1.

Parameters

  Exchange | The exchange.

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ AddFilterElement()

void Gevasys.DataCore.Core.StreamingConsumer.AddFilterElement | ( | FilterElement | filterElement | ) |
| inline

Adds a FilterElement

Parameters

  filterElement |

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ AddInstrument()

virtual void Gevasys.DataCore.Core.StreamingConsumer.AddInstrument | ( | String | instrument | ) |
| inline virtual

Adds and subscribes a instrument.

Parameters

  instrument | The instrument.

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ AddInstruments()

virtual void Gevasys.DataCore.Core.StreamingConsumer.AddInstruments | ( | InstrumentList | instruments | ) |
| inline virtual

Adds and subscribes a list of instruments.

Parameters

  instruments | The list of instruments.

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ AsyncServiceCallCallback()

virtual void Gevasys.DataCore.Core.StreamingConsumer.AsyncServiceCallCallback | ( | AsyncServiceCallResult | result | ) |
| inline virtual

The callback method for asynchronous services calls.

Parameters

  result |

Implements Gevasys.DataCore.Core.IStreamingConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ GetClientThreadName()

virtual String Gevasys.DataCore.Core.StreamingConsumer.GetClientThreadName | ( |  | ) |
| inline virtual

Returns
  A unique name for the thread that owns this StreamingConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ GetConsumerType()

virtual ConsumerType Gevasys.DataCore.Core.StreamingConsumer.GetConsumerType | ( |  | ) |
| inline virtual

Gets the type of the Consumer.

Returns
  ConsumerType

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ GetInstruments()

virtual InstrumentList Gevasys.DataCore.Core.StreamingConsumer.GetInstruments | ( |  | ) |
| inline virtual

Get the list of subscribed instruments.

Returns
  The list of instruments.

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ GetIsAlive()

virtual bool Gevasys.DataCore.Core.StreamingConsumer.GetIsAlive | ( |  | ) |
| inline virtual

Gets if the IConsumer is online.

Returns
  True if the IConsumer is online.

Implements Gevasys.DataCore.Core.IStreamingConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ GetIsBackup()

virtual bool Gevasys.DataCore.Core.StreamingConsumer.GetIsBackup | ( |  | ) |
| inline virtual

Gets if the IConsumer is in backup state.

Returns
  True if the IConsumer is in backup state.

Implements Gevasys.DataCore.Core.IStreamingConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ GetName()

virtual string Gevasys.DataCore.Core.StreamingConsumer.GetName | ( |  | ) |
| inline virtual

Gets the name of the Consumer.

Returns
  The name or null if no name exists.

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ Initialize()

virtual WebServiceInitializeResult Gevasys.DataCore.Core.StreamingConsumer.Initialize | ( |  | ) |
| inline virtual

Initializes the consumer.

Returns
  The result of the operation, i.e. the result from the service call to the DataCore server which delivers connection informations.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ RemoveAll()

virtual void Gevasys.DataCore.Core.StreamingConsumer.RemoveAll | ( |  | ) |
| inline virtual

Removes and unsubscribes all instruments and exchanges.

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ RemoveExchange()

virtual void Gevasys.DataCore.Core.StreamingConsumer.RemoveExchange | ( | String | Exchange | ) |
| inline virtual

Removes and unsubscribes a exchange.

Parameters

  Exchange | Not available in version 1.1.

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ RemoveFieldFilter()

virtual void Gevasys.DataCore.Core.StreamingConsumer.RemoveFieldFilter | ( |  | ) |
| inline virtual

Removes a field filter.

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ RemoveFilterElement()

void Gevasys.DataCore.Core.StreamingConsumer.RemoveFilterElement | ( | FilterElement | filterElement | ) |
| inline

Removes the FilterElement

Parameters

  filterElement |

Implements Gevasys.DataCore.Core.IConsumer.

## ◆ RemoveInstrument()

virtual void Gevasys.DataCore.Core.StreamingConsumer.RemoveInstrument | ( | String | instrument | ) |
| inline virtual

Removes an unsubscribes a instrument.

Parameters

  instrument | The instrument.

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ RemoveInstruments()

virtual void Gevasys.DataCore.Core.StreamingConsumer.RemoveInstruments | ( | InstrumentList | instruments | ) |
| inline virtual

Remove and unsubscribes a list of instruments.

Parameters

  instruments | The list of Instruments

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ RequestRecaps()

virtual void Gevasys.DataCore.Core.StreamingConsumer.RequestRecaps | ( | InstrumentList | instrument | ) |
| inline virtual

Request recap messages for a list of instruments. A maximum of 2000 elements can be requested per call.

Parameters

  instrument | The list of instruments.

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ Run()

virtual void Gevasys.DataCore.Core.StreamingConsumer.Run | ( |  | ) |
| inline virtual

Implement this method to start the Thread.

Implements Gevasys.DataCore.Core.IRunnable.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ SetAsBackup()

virtual void Gevasys.DataCore.Core.StreamingConsumer.SetAsBackup | ( | bool | isBackup | ) |
| inline virtual

Sets a IConsumer to the backup state.

Parameters

  isBackup | True if the consumer should run in backup mode.

Implements Gevasys.DataCore.Core.IStreamingConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ SetFieldFilter()

virtual void Gevasys.DataCore.Core.StreamingConsumer.SetFieldFilter | ( | List< string > | fieldList | ) |
| inline virtual

Sets a list of fields as a data filter for the streaming connection on the server side. Only fields that exists in the field filter will be pushed.

Parameters

  fieldList |

Implements Gevasys.DataCore.Core.IConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ Start()

virtual bool Gevasys.DataCore.Core.StreamingConsumer.Start | ( |  | ) |
| inline virtual

Starts the IConsumer

Returns
  True if successful..

Implements Gevasys.DataCore.Core.IStreamingConsumer.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

## ◆ Stop()

virtual void Gevasys.DataCore.Core.StreamingConsumer.Stop | ( |  | ) |
| inline virtual

Stops the IConsumer

Implements Gevasys.DataCore.Core.IRunnable.

Reimplemented in Gevasys.DataCore.Client.Consumer.Tcp.TcpConsumer.

The documentation for this class was generated from the following file:

- StreamingConsumer.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1